mod_proxy_uwsgi fails to compile in Apache 2.4 #197

Closed
bgibson710 opened this Issue Mar 27, 2013 · 2 comments

Comments

Projects
None yet
2 participants
@bgibson710

When I attempt to run apxs -I -c mod_proxy_uwsgi.c in an Apache 2.4 environment I get the following output:

mod_proxy_uwsgi.c: In function uwsgi_response:
mod_proxy_uwsgi.c:289:2: warning: implicit declaration of function ap_proxy_make_fake_req [-Wimplicit-function-declaration]
mod_proxy_uwsgi.c:289:20: warning: initialization makes pointer from integer without a cast [enabled by default]
mod_proxy_uwsgi.c: In function uwsgi_handler:
mod_proxy_uwsgi.c:412:33: error: proxy_worker has no member named name
apxs:Error: Command failed with rc=65536

@ghost ghost assigned unbit Mar 27, 2013

@unbit

This comment has been minimized.

Show comment Hide comment
@unbit

unbit Mar 28, 2013

Owner

should be fixed in latest code from github (1.9.3)

Owner

unbit commented Mar 28, 2013

should be fixed in latest code from github (1.9.3)

@bgibson710

This comment has been minimized.

Show comment Hide comment
@bgibson710

bgibson710 Mar 28, 2013

Cool, thanks. I’ll check it out.

From: unbit [mailto:notifications@github.com]
Sent: Thursday, March 28, 2013 6:20 AM
To: unbit/uwsgi
Cc: Gibson, Brian (IMS)
Subject: Re: [uwsgi] mod_proxy_uwsgi fails to compile in Apache 2.4 (#197)

should be fixed in latest code from github (1.9.3)


Reply to this email directly or view it on GitHubhttps://github.com/unbit/uwsgi/issues/197#issuecomment-15578475.


Information in this e-mail may be confidential. It is intended only for the addressee(s) identified above. If you are not the addressee(s), or an employee or agent of the addressee(s), please note that any dissemination, distribution, or copying of this communication is strictly prohibited. If you have received this e-mail in error, please notify the sender of the error.

Cool, thanks. I’ll check it out.

From: unbit [mailto:notifications@github.com]
Sent: Thursday, March 28, 2013 6:20 AM
To: unbit/uwsgi
Cc: Gibson, Brian (IMS)
Subject: Re: [uwsgi] mod_proxy_uwsgi fails to compile in Apache 2.4 (#197)

should be fixed in latest code from github (1.9.3)


Reply to this email directly or view it on GitHubhttps://github.com/unbit/uwsgi/issues/197#issuecomment-15578475.


Information in this e-mail may be confidential. It is intended only for the addressee(s) identified above. If you are not the addressee(s), or an employee or agent of the addressee(s), please note that any dissemination, distribution, or copying of this communication is strictly prohibited. If you have received this e-mail in error, please notify the sender of the error.

@unbit unbit closed this Apr 9, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment